Loading...
Searching...
No Matches
pcl::poisson::MarchingCubes Class Reference

`#include <pcl/surface/3rdparty/poisson4/marching_cubes_poisson.h>`

## Public Types

enum | { MAX_TRIANGLES =5 }

## Static Public Member Functions

static double | Interpolate (double v1, double v2)
static float | Interpolate (float v1, float v2)
static const int * | edgeMask ()
static int | triangles (int i, int j)
static const int * | cornerMap ()
static double & | vertexList (int i, int j)
static int | AddTriangleIndices (int mcIndex, int *triangles)
static int | GetIndex (const double values[Cube::CORNERS], double iso)
static int | IsAmbiguous (const double v[Cube::CORNERS], double isoValue, int faceIndex)
static int | HasRoots (const double v[Cube::CORNERS], double isoValue)
static int | HasRoots (const double v[Cube::CORNERS], double isoValue, int faceIndex)
static int | AddTriangles (const double v[Cube::CORNERS], double isoValue, Triangle *triangles)
static int | AddTriangleIndices (const double v[Cube::CORNERS], double isoValue, int *triangles)
static int | GetIndex (const float values[Cube::CORNERS], float iso)
static int | IsAmbiguous (const float v[Cube::CORNERS], float isoValue, int faceIndex)
static int | HasRoots (const float v[Cube::CORNERS], float isoValue)
static int | HasRoots (const float v[Cube::CORNERS], float isoValue, int faceIndex)
static int | AddTriangles (const float v[Cube::CORNERS], float isoValue, Triangle *triangles)
static int | AddTriangleIndices (const float v[Cube::CORNERS], float isoValue, int *triangles)
static int | IsAmbiguous (int mcIndex, int faceIndex)
static int | HasRoots (int mcIndex)
static int | HasFaceRoots (int mcIndex, int faceIndex)
static int | HasEdgeRoots (int mcIndex, int edgeIndex)

## Detailed Description

Definition at line 100 of file marching_cubes_poisson.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
MAX_TRIANGLES |

Definition at line 112 of file marching_cubes_poisson.h.

## Member Function Documentation

## AddTriangleIndices() [1/3]

int pcl::poisson::MarchingCubes::AddTriangleIndices | ( | const double | v[Cube::CORNERS],
|  | double | isoValue,
|  | int * | triangles )

static

References pcl::poisson::Cube::CORNERS, and triangles().

## AddTriangleIndices() [2/3]

int pcl::poisson::MarchingCubes::AddTriangleIndices | ( | const float | v[Cube::CORNERS],
|  | float | isoValue,
|  | int * | triangles )

static

References pcl::poisson::Cube::CORNERS, and triangles().

## AddTriangleIndices() [3/3]

int pcl::poisson::MarchingCubes::AddTriangleIndices | ( | int | mcIndex,
|  | int * | triangles )

static

References triangles().

## AddTriangles() [1/2]

int pcl::poisson::MarchingCubes::AddTriangles | ( | const double | v[Cube::CORNERS],
|  | double | isoValue,
|  | Triangle * | triangles )

static

References pcl::poisson::Cube::CORNERS, and triangles().

## AddTriangles() [2/2]

int pcl::poisson::MarchingCubes::AddTriangles | ( | const float | v[Cube::CORNERS],
|  | float | isoValue,
|  | Triangle * | triangles )

static

References pcl::poisson::Cube::CORNERS, and triangles().

## cornerMap()

const int * pcl::poisson::MarchingCubes::cornerMap | ( |  | ) |

static

## edgeMask()

const int * pcl::poisson::MarchingCubes::edgeMask | ( |  | ) |

static

## GetIndex() [1/2]

int pcl::poisson::MarchingCubes::GetIndex | ( | const double | values[Cube::CORNERS],
|  | double | iso )

static

References pcl::poisson::Cube::CORNERS.

## GetIndex() [2/2]

int pcl::poisson::MarchingCubes::GetIndex | ( | const float | values[Cube::CORNERS],
|  | float | iso )

static

References pcl::poisson::Cube::CORNERS.

## HasEdgeRoots()

int pcl::poisson::MarchingCubes::HasEdgeRoots | ( | int | mcIndex,
|  | int | edgeIndex )

static

## HasFaceRoots()

int pcl::poisson::MarchingCubes::HasFaceRoots | ( | int | mcIndex,
|  | int | faceIndex )

static

## HasRoots() [1/5]

int pcl::poisson::MarchingCubes::HasRoots | ( | const double | v[Cube::CORNERS],
|  | double | isoValue )

static

References pcl::poisson::Cube::CORNERS.

Referenced by pcl::poisson::Octree< Degree >::GetMCIsoTriangles().

## HasRoots() [2/5]

int pcl::poisson::MarchingCubes::HasRoots | ( | const double | v[Cube::CORNERS],
|  | double | isoValue,
|  | int | faceIndex )

static

References pcl::poisson::Cube::CORNERS.

## HasRoots() [3/5]

int pcl::poisson::MarchingCubes::HasRoots | ( | const float | v[Cube::CORNERS],
|  | float | isoValue )

static

References pcl::poisson::Cube::CORNERS.

## HasRoots() [4/5]

int pcl::poisson::MarchingCubes::HasRoots | ( | const float | v[Cube::CORNERS],
|  | float | isoValue,
|  | int | faceIndex )

static

References pcl::poisson::Cube::CORNERS.

## HasRoots() [5/5]

int pcl::poisson::MarchingCubes::HasRoots | ( | int | mcIndex | ) |

static

## Interpolate() [1/2]

double pcl::poisson::MarchingCubes::Interpolate | ( | double | v1,
|  | double | v2 )

static

## Interpolate() [2/2]

float pcl::poisson::MarchingCubes::Interpolate | ( | float | v1,
|  | float | v2 )

static

## IsAmbiguous() [1/3]

int pcl::poisson::MarchingCubes::IsAmbiguous | ( | const double | v[Cube::CORNERS],
|  | double | isoValue,
|  | int | faceIndex )

static

References pcl::poisson::Cube::CORNERS.

## IsAmbiguous() [2/3]

int pcl::poisson::MarchingCubes::IsAmbiguous | ( | const float | v[Cube::CORNERS],
|  | float | isoValue,
|  | int | faceIndex )

static

References pcl::poisson::Cube::CORNERS.

## IsAmbiguous() [3/3]

int pcl::poisson::MarchingCubes::IsAmbiguous | ( | int | mcIndex,
|  | int | faceIndex )

static

## triangles()

int pcl::poisson::MarchingCubes::triangles | ( | int | i,
|  | int | j )

static

Referenced by AddTriangleIndices(), AddTriangleIndices(), AddTriangleIndices(), AddTriangles(), and AddTriangles().

## vertexList()

double & pcl::poisson::MarchingCubes::vertexList | ( | int | i,
|  | int | j )

static

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/poisson4/marching_cubes_poisson.h